<?xml version="1.0" encoding="UTF-8"?><!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- (c) Copyright IBM Corporation 2012, 2014. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
--><pluginInfo xmlns="http://www.urbancode.com/InfoXMLSchema_v1" xmlns:server="http://www.urbancode.com/PluginServerXMLSchema_v1" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <!-- Do not change the release-version, the build process injects it. -->
  <release-version>18.970588</release-version>

  <release-notes>
    <!--
      **release-note IS required**

      The plugin-version name must match the plugin version found in the plugin.xml file

      The release-note should document the changes, improvements, or bug fixes introduced
      with the new plugin version

      The release-note may contain text or reference a file in the plugin zip package

      For example your release note could be:
      Support for was added for version 10.0 for software X
      or
      releaseNotes/release1.html (where release1.html contains html formatted version information)
      -->

    <release-note plugin-version="1">
      Installing this plugin will give you access to the steps listed below. These steps will be available for use when designing a Job.
    </release-note>

    <release-note plugin-version="2">
      Installing this plugin will give you access to the steps listed below. These steps will be available for use when designing a Job.
    </release-note>

    <release-note plugin-version="3">
      Update to a newer version of a library for HTTP communication.
    </release-note>

    <release-note plugin-version="4">
      Added support for Gerrit-triggered preflight builds. (Requires uBuild 5.0.1.3 or later).
    </release-note>

    <release-note plugin-version="5">
      Fixed an issue where communication with the UrbanCode Build server would fail if it was running with an IBM JDK/JRE.
    </release-note>

    <release-note plugin-version="6">
      Added support for triggering builds with GitHub or GitLab Webhooks.
    </release-note>

    <release-note plugin-version="7">
      Fixed upgrade for the new trigger script.
    </release-note>

    <release-note plugin-version="8">
      Added RPX dependency and English translations.
    </release-note>

    <release-note plugin-version="9">
      Improved handling of user credentials embedded in repository base url and repository configuration.
    </release-note>

    <release-note plugin-version="10">
      Support property file encryption.
    </release-note>

    <release-note plugin-version="11">
      Fixed infinite build triggering issue with Github if creating a tag with the same name as an existing branch.
    </release-note>

    <release-note plugin-version="12">
      Fixed issue with repository trigger script not resolving parameterized repository base URL.
    </release-note>

    <release-note plugin-version="13">
      Added new step for creating commit statuses in GitHub. Requires IBM UCB 6.1.3.1 (patched) or later.
    </release-note>

    <release-note plugin-version="14">
      Added support for triggering pre-flight builds for pull request events sent from GitHub. Requires IBM UCB 6.1.3.1 (patched) or later.
    </release-note>

    <release-note plugin-version="15">
      Fix intermittent IOException stream closed errors.
    </release-note>

    <release-note plugin-version="16">
      Fix incompatibility with UCB 6.1.2.x that was introduced in version 14 and prevented triggering builds in response to push events sent by GitHub.
    </release-note>

    <release-note plugin-version="17">
      Prefer using external web URL to construct the target URL in "Create GitHub Status" step when available.
    </release-note>

    <release-note plugin-version="18">
      Avoid NullPointerException if the HTTP client fails to execute and throws an exception before returning the response object.
    </release-note>

  </release-notes>
</pluginInfo>